﻿namespace Altairis.Web.Icons {

    public enum DisplayMode {
        IconLeft,   // Icon on left side of text
        IconRight,  // Icon on right side of text
        IconOnly,   // Show icon only
        TextOnly    // Show text only
    };
    
    public enum IconType {
        NoIcon,
        Accept,
        Add,
        Anchor,
        Application,
        ApplicationAdd,
        ApplicationCascade,
        ApplicationDelete,
        ApplicationDouble,
        ApplicationEdit,
        ApplicationError,
        ApplicationForm,
        ApplicationFormAdd,
        ApplicationFormDelete,
        ApplicationFormEdit,
        ApplicationFormMagnify,
        ApplicationGet,
        ApplicationGo,
        ApplicationHome,
        ApplicationKey,
        ApplicationLightning,
        ApplicationLink,
        ApplicationOsx,
        ApplicationOsxTerminal,
        ApplicationPut,
        ApplicationSideBoxes,
        ApplicationSideContract,
        ApplicationSideExpand,
        ApplicationSideList,
        ApplicationSideTree,
        ApplicationSplit,
        ApplicationTileHorizontal,
        ApplicationTileVertical,
        ApplicationViewColumns,
        ApplicationViewDetail,
        ApplicationViewGallery,
        ApplicationViewIcons,
        ApplicationViewList,
        ApplicationViewTile,
        ApplicationXp,
        ApplicationXpTerminal,
        ArrowBranch,
        ArrowDivide,
        ArrowDown,
        ArrowIn,
        ArrowInout,
        ArrowJoin,
        ArrowLeft,
        ArrowMerge,
        ArrowOut,
        ArrowRedo,
        ArrowRefresh,
        ArrowRefreshSmall,
        ArrowRight,
        ArrowRotateAnticlockwise,
        ArrowRotateClockwise,
        ArrowSwitch,
        ArrowTurnLeft,
        ArrowTurnRight,
        ArrowUndo,
        ArrowUp,
        AsteriskOrange,
        AsteriskYellow,
        Attach,
        AwardStarAdd,
        AwardStarBronze1,
        AwardStarBronze2,
        AwardStarBronze3,
        AwardStarDelete,
        AwardStarGold1,
        AwardStarGold2,
        AwardStarGold3,
        AwardStarSilver1,
        AwardStarSilver2,
        AwardStarSilver3,
        Basket,
        BasketAdd,
        BasketDelete,
        BasketEdit,
        BasketError,
        BasketGo,
        BasketPut,
        BasketRemove,
        Bell,
        BellAdd,
        BellDelete,
        BellError,
        BellGo,
        BellLink,
        Bin,
        BinClosed,
        BinEmpty,
        Bomb,
        Book,
        BookAdd,
        BookAddresses,
        BookDelete,
        BookEdit,
        BookError,
        BookGo,
        BookKey,
        BookLink,
        BookNext,
        BookOpen,
        BookPrevious,
        Box,
        Brick,
        Bricks,
        BrickAdd,
        BrickDelete,
        BrickEdit,
        BrickError,
        BrickGo,
        BrickLink,
        Briefcase,
        Bug,
        BugAdd,
        BugDelete,
        BugEdit,
        BugError,
        BugGo,
        BugLink,
        Building,
        BuildingAdd,
        BuildingDelete,
        BuildingEdit,
        BuildingError,
        BuildingGo,
        BuildingKey,
        BuildingLink,
        BulletAdd,
        BulletArrowBottom,
        BulletArrowDown,
        BulletArrowTop,
        BulletArrowUp,
        BulletBlack,
        BulletBlue,
        BulletDelete,
        BulletDisk,
        BulletError,
        BulletFeed,
        BulletGo,
        BulletGreen,
        BulletKey,
        BulletOrange,
        BulletPicture,
        BulletPink,
        BulletPurple,
        BulletRed,
        BulletStar,
        BulletToggleMinus,
        BulletTogglePlus,
        BulletWhite,
        BulletWrench,
        BulletYellow,
        Cake,
        Calculator,
        CalculatorAdd,
        CalculatorDelete,
        CalculatorEdit,
        CalculatorError,
        CalculatorLink,
        Calendar,
        CalendarAdd,
        CalendarDelete,
        CalendarEdit,
        CalendarLink,
        CalendarViewDay,
        CalendarViewMonth,
        CalendarViewWeek,
        Camera,
        CameraAdd,
        CameraDelete,
        CameraEdit,
        CameraError,
        CameraGo,
        CameraLink,
        CameraSmall,
        Cancel,
        Car,
        Cart,
        CartAdd,
        CartDelete,
        CartEdit,
        CartError,
        CartGo,
        CartPut,
        CartRemove,
        CarAdd,
        CarDelete,
        Cd,
        CdAdd,
        CdBurn,
        CdDelete,
        CdEdit,
        CdEject,
        CdGo,
        ChartBar,
        ChartBarAdd,
        ChartBarDelete,
        ChartBarEdit,
        ChartBarError,
        ChartBarLink,
        ChartCurve,
        ChartCurveAdd,
        ChartCurveDelete,
        ChartCurveEdit,
        ChartCurveError,
        ChartCurveGo,
        ChartCurveLink,
        ChartLine,
        ChartLineAdd,
        ChartLineDelete,
        ChartLineEdit,
        ChartLineError,
        ChartLineLink,
        ChartOrganisation,
        ChartOrganisationAdd,
        ChartOrganisationDelete,
        ChartPie,
        ChartPieAdd,
        ChartPieDelete,
        ChartPieEdit,
        ChartPieError,
        ChartPieLink,
        Clock,
        ClockAdd,
        ClockDelete,
        ClockEdit,
        ClockError,
        ClockGo,
        ClockLink,
        ClockPause,
        ClockPlay,
        ClockRed,
        ClockStop,
        Cog,
        CogAdd,
        CogDelete,
        CogEdit,
        CogError,
        CogGo,
        Coins,
        CoinsAdd,
        CoinsDelete,
        ColorSwatch,
        ColorWheel,
        Comment,
        Comments,
        CommentsAdd,
        CommentsDelete,
        CommentAdd,
        CommentDelete,
        CommentEdit,
        Compress,
        Computer,
        ComputerAdd,
        ComputerDelete,
        ComputerEdit,
        ComputerError,
        ComputerGo,
        ComputerKey,
        ComputerLink,
        Connect,
        Contrast,
        ContrastDecrease,
        ContrastHigh,
        ContrastIncrease,
        ContrastLow,
        Controller,
        ControllerAdd,
        ControllerDelete,
        ControllerError,
        ControlEject,
        ControlEjectBlue,
        ControlEnd,
        ControlEndBlue,
        ControlEqualizer,
        ControlEqualizerBlue,
        ControlFastforward,
        ControlFastforwardBlue,
        ControlPause,
        ControlPauseBlue,
        ControlPlay,
        ControlPlayBlue,
        ControlRepeat,
        ControlRepeatBlue,
        ControlRewind,
        ControlRewindBlue,
        ControlStart,
        ControlStartBlue,
        ControlStop,
        ControlStopBlue,
        Creditcards,
        Cross,
        Css,
        CssAdd,
        CssDelete,
        CssGo,
        CssValid,
        Cup,
        CupAdd,
        CupDelete,
        CupEdit,
        CupError,
        CupGo,
        CupKey,
        CupLink,
        Cursor,
        Cut,
        CutRed,
        Database,
        DatabaseAdd,
        DatabaseConnect,
        DatabaseDelete,
        DatabaseEdit,
        DatabaseError,
        DatabaseGear,
        DatabaseGo,
        DatabaseKey,
        DatabaseLightning,
        DatabaseLink,
        DatabaseRefresh,
        DatabaseSave,
        DatabaseTable,
        Date,
        DateAdd,
        DateDelete,
        DateEdit,
        DateError,
        DateGo,
        DateLink,
        DateMagnify,
        DateNext,
        DatePrevious,
        Delete,
        Disconnect,
        Disk,
        DiskMultiple,
        Door,
        DoorIn,
        DoorOpen,
        DoorOut,
        Drink,
        DrinkEmpty,
        Drive,
        DriveAdd,
        DriveBurn,
        DriveCd,
        DriveCdEmpty,
        DriveDelete,
        DriveDisk,
        DriveEdit,
        DriveError,
        DriveGo,
        DriveKey,
        DriveLink,
        DriveMagnify,
        DriveNetwork,
        DriveRename,
        DriveUser,
        DriveWeb,
        Dvd,
        DvdAdd,
        DvdDelete,
        DvdEdit,
        DvdError,
        DvdGo,
        DvdKey,
        DvdLink,
        Email,
        EmailAdd,
        EmailAttach,
        EmailDelete,
        EmailEdit,
        EmailError,
        EmailGo,
        EmailLink,
        EmailOpen,
        EmailOpenImage,
        EmoticonEvilgrin,
        EmoticonGrin,
        EmoticonHappy,
        EmoticonSmile,
        EmoticonSurprised,
        EmoticonTongue,
        EmoticonUnhappy,
        EmoticonWaii,
        EmoticonWink,
        Error,
        ErrorAdd,
        ErrorDelete,
        ErrorGo,
        Exclamation,
        Eye,
        Feed,
        FeedAdd,
        FeedDelete,
        FeedDisk,
        FeedEdit,
        FeedError,
        FeedGo,
        FeedKey,
        FeedLink,
        FeedMagnify,
        Female,
        Film,
        FilmAdd,
        FilmDelete,
        FilmEdit,
        FilmError,
        FilmGo,
        FilmKey,
        FilmLink,
        FilmSave,
        Find,
        FlagBlue,
        FlagGreen,
        FlagOrange,
        FlagPink,
        FlagPurple,
        FlagRed,
        FlagYellow,
        Folder,
        FolderAdd,
        FolderBell,
        FolderBrick,
        FolderBug,
        FolderCamera,
        FolderDatabase,
        FolderDelete,
        FolderEdit,
        FolderError,
        FolderExplore,
        FolderFeed,
        FolderFind,
        FolderGo,
        FolderHeart,
        FolderImage,
        FolderKey,
        FolderLightbulb,
        FolderLink,
        FolderMagnify,
        FolderPage,
        FolderPageWhite,
        FolderPalette,
        FolderPicture,
        FolderStar,
        FolderTable,
        FolderUser,
        FolderWrench,
        Font,
        FontAdd,
        FontDelete,
        FontGo,
        Group,
        GroupAdd,
        GroupDelete,
        GroupEdit,
        GroupError,
        GroupGear,
        GroupGo,
        GroupKey,
        GroupLink,
        Heart,
        HeartAdd,
        HeartDelete,
        Help,
        Hourglass,
        HourglassAdd,
        HourglassDelete,
        HourglassGo,
        HourglassLink,
        House,
        HouseGo,
        HouseLink,
        Html,
        HtmlAdd,
        HtmlDelete,
        HtmlGo,
        HtmlValid,
        Image,
        Images,
        ImageAdd,
        ImageDelete,
        ImageEdit,
        ImageLink,
        Information,
        Ipod,
        IpodCast,
        IpodCastAdd,
        IpodCastDelete,
        IpodSound,
        Joystick,
        JoystickAdd,
        JoystickDelete,
        JoystickError,
        Key,
        Keyboard,
        KeyboardAdd,
        KeyboardDelete,
        KeyboardMagnify,
        KeyAdd,
        KeyDelete,
        KeyGo,
        Layers,
        Layout,
        LayoutAdd,
        LayoutContent,
        LayoutDelete,
        LayoutEdit,
        LayoutError,
        LayoutHeader,
        LayoutLink,
        LayoutSidebar,
        Lightbulb,
        LightbulbAdd,
        LightbulbDelete,
        LightbulbOff,
        Lightning,
        LightningAdd,
        LightningDelete,
        LightningGo,
        Link,
        LinkAdd,
        LinkBreak,
        LinkDelete,
        LinkEdit,
        LinkError,
        LinkGo,
        Lock,
        LockAdd,
        LockBreak,
        LockDelete,
        LockEdit,
        LockGo,
        LockOpen,
        Lorry,
        LorryAdd,
        LorryDelete,
        LorryError,
        LorryFlatbed,
        LorryGo,
        LorryLink,
        MagifierZoomOut,
        Magnifier,
        MagnifierZoomIn,
        Male,
        Map,
        MapAdd,
        MapDelete,
        MapEdit,
        MapGo,
        MapMagnify,
        MedalBronze1,
        MedalBronze2,
        MedalBronze3,
        MedalBronzeAdd,
        MedalBronzeDelete,
        MedalGold1,
        MedalGold2,
        MedalGold3,
        MedalGoldAdd,
        MedalGoldDelete,
        MedalSilver1,
        MedalSilver2,
        MedalSilver3,
        MedalSilverAdd,
        MedalSilverDelete,
        Money,
        MoneyAdd,
        MoneyDelete,
        MoneyDollar,
        MoneyEuro,
        MoneyPound,
        MoneyYen,
        Monitor,
        MonitorAdd,
        MonitorDelete,
        MonitorEdit,
        MonitorError,
        MonitorGo,
        MonitorLightning,
        MonitorLink,
        Mouse,
        MouseAdd,
        MouseDelete,
        MouseError,
        Music,
        New,
        Newspaper,
        NewspaperAdd,
        NewspaperDelete,
        NewspaperGo,
        NewspaperLink,
        Note,
        NoteAdd,
        NoteDelete,
        NoteEdit,
        NoteError,
        NoteGo,
        Overlays,
        Package,
        PackageAdd,
        PackageDelete,
        PackageGo,
        PackageGreen,
        PackageLink,
        Page,
        PageAdd,
        PageAttach,
        PageCode,
        PageCopy,
        PageDelete,
        PageEdit,
        PageError,
        PageExcel,
        PageFind,
        PageGear,
        PageGo,
        PageGreen,
        PageKey,
        PageLightning,
        PageLink,
        PagePaintbrush,
        PagePaste,
        PageRed,
        PageRefresh,
        PageSave,
        PageWhite,
        PageWhiteAcrobat,
        PageWhiteActionscript,
        PageWhiteAdd,
        PageWhiteC,
        PageWhiteCamera,
        PageWhiteCd,
        PageWhiteCode,
        PageWhiteCodeRed,
        PageWhiteColdfusion,
        PageWhiteCompressed,
        PageWhiteCopy,
        PageWhiteCplusplus,
        PageWhiteCsharp,
        PageWhiteCup,
        PageWhiteDatabase,
        PageWhiteDelete,
        PageWhiteDvd,
        PageWhiteEdit,
        PageWhiteError,
        PageWhiteExcel,
        PageWhiteFind,
        PageWhiteFlash,
        PageWhiteFreehand,
        PageWhiteGear,
        PageWhiteGet,
        PageWhiteGo,
        PageWhiteH,
        PageWhiteHorizontal,
        PageWhiteKey,
        PageWhiteLightning,
        PageWhiteLink,
        PageWhiteMagnify,
        PageWhiteMedal,
        PageWhiteOffice,
        PageWhitePaint,
        PageWhitePaintbrush,
        PageWhitePaste,
        PageWhitePhp,
        PageWhitePicture,
        PageWhitePowerpoint,
        PageWhitePut,
        PageWhiteRuby,
        PageWhiteStack,
        PageWhiteStar,
        PageWhiteSwoosh,
        PageWhiteText,
        PageWhiteTextWidth,
        PageWhiteTux,
        PageWhiteVector,
        PageWhiteVisualstudio,
        PageWhiteWidth,
        PageWhiteWord,
        PageWhiteWorld,
        PageWhiteWrench,
        PageWhiteZip,
        PageWord,
        PageWorld,
        Paintbrush,
        Paintcan,
        Palette,
        PastePlain,
        PasteWord,
        Pencil,
        PencilAdd,
        PencilDelete,
        PencilGo,
        Phone,
        PhoneAdd,
        PhoneDelete,
        PhoneSound,
        Photo,
        Photos,
        PhotoAdd,
        PhotoDelete,
        PhotoLink,
        Picture,
        Pictures,
        PictureAdd,
        PictureDelete,
        PictureEdit,
        PictureEmpty,
        PictureError,
        PictureGo,
        PictureKey,
        PictureLink,
        PictureSave,
        Pilcrow,
        Pill,
        PillAdd,
        PillDelete,
        PillGo,
        Plugin,
        PluginAdd,
        PluginDelete,
        PluginDisabled,
        PluginEdit,
        PluginError,
        PluginGo,
        PluginLink,
        Printer,
        PrinterAdd,
        PrinterDelete,
        PrinterEmpty,
        PrinterError,
        Rainbow,
        Report,
        ReportAdd,
        ReportDelete,
        ReportDisk,
        ReportEdit,
        ReportGo,
        ReportKey,
        ReportLink,
        ReportMagnify,
        ReportPicture,
        ReportUser,
        ReportWord,
        ResultsetFirst,
        ResultsetLast,
        ResultsetNext,
        ResultsetPrevious,
        Rosette,
        Rss,
        RssAdd,
        RssDelete,
        RssGo,
        RssValid,
        Ruby,
        RubyAdd,
        RubyDelete,
        RubyGear,
        RubyGet,
        RubyGo,
        RubyKey,
        RubyLink,
        RubyPut,
        Script,
        ScriptAdd,
        ScriptCode,
        ScriptCodeRed,
        ScriptDelete,
        ScriptEdit,
        ScriptError,
        ScriptGear,
        ScriptGo,
        ScriptKey,
        ScriptLightning,
        ScriptLink,
        ScriptPalette,
        ScriptSave,
        Server,
        ServerAdd,
        ServerChart,
        ServerCompressed,
        ServerConnect,
        ServerDatabase,
        ServerDelete,
        ServerEdit,
        ServerError,
        ServerGo,
        ServerKey,
        ServerLightning,
        ServerLink,
        ServerUncompressed,
        Shading,
        ShapeAlignBottom,
        ShapeAlignCenter,
        ShapeAlignLeft,
        ShapeAlignMiddle,
        ShapeAlignRight,
        ShapeAlignTop,
        ShapeFlipHorizontal,
        ShapeFlipVertical,
        ShapeGroup,
        ShapeHandles,
        ShapeMoveBack,
        ShapeMoveBackwards,
        ShapeMoveForwards,
        ShapeMoveFront,
        ShapeRotateAnticlockwise,
        ShapeRotateClockwise,
        ShapeSquare,
        ShapeSquareAdd,
        ShapeSquareDelete,
        ShapeSquareEdit,
        ShapeSquareError,
        ShapeSquareGo,
        ShapeSquareKey,
        ShapeSquareLink,
        ShapeUngroup,
        Shield,
        ShieldAdd,
        ShieldDelete,
        ShieldGo,
        Sitemap,
        SitemapColor,
        Sound,
        SoundAdd,
        SoundDelete,
        SoundLow,
        SoundMute,
        SoundNone,
        Spellcheck,
        Sport8Ball,
        SportBasketball,
        SportFootball,
        SportGolf,
        SportRaquet,
        SportShuttlecock,
        SportSoccer,
        SportTennis,
        Star,
        StatusAway,
        StatusBusy,
        StatusOffline,
        StatusOnline,
        Stop,
        Style,
        StyleAdd,
        StyleDelete,
        StyleEdit,
        StyleGo,
        Sum,
        Tab,
        Table,
        TableAdd,
        TableDelete,
        TableEdit,
        TableError,
        TableGear,
        TableGo,
        TableKey,
        TableLightning,
        TableLink,
        TableMultiple,
        TableRefresh,
        TableRelationship,
        TableRowDelete,
        TableRowInsert,
        TableSave,
        TableSort,
        TabAdd,
        TabDelete,
        TabEdit,
        TabGo,
        Tag,
        TagBlue,
        TagBlueAdd,
        TagBlueDelete,
        TagBlueEdit,
        TagGreen,
        TagOrange,
        TagPink,
        TagPurple,
        TagRed,
        TagYellow,
        Telephone,
        TelephoneAdd,
        TelephoneDelete,
        TelephoneEdit,
        TelephoneError,
        TelephoneGo,
        TelephoneKey,
        TelephoneLink,
        Television,
        TelevisionAdd,
        TelevisionDelete,
        Textfield,
        TextfieldAdd,
        TextfieldDelete,
        TextfieldKey,
        TextfieldRename,
        TextAlignCenter,
        TextAlignJustify,
        TextAlignLeft,
        TextAlignRight,
        TextAllcaps,
        TextBold,
        TextColumns,
        TextDropcaps,
        TextHeading1,
        TextHeading2,
        TextHeading3,
        TextHeading4,
        TextHeading5,
        TextHeading6,
        TextHorizontalrule,
        TextIndent,
        TextIndentRemove,
        TextItalic,
        TextKerning,
        TextLetterspacing,
        TextLetterOmega,
        TextLinespacing,
        TextListBullets,
        TextListNumbers,
        TextLowercase,
        TextPaddingBottom,
        TextPaddingLeft,
        TextPaddingRight,
        TextPaddingTop,
        TextReplace,
        TextSignature,
        TextSmallcaps,
        TextStrikethrough,
        TextSubscript,
        TextSuperscript,
        TextUnderline,
        TextUppercase,
        ThumbDown,
        ThumbUp,
        Tick,
        Time,
        TimelineMarker,
        TimeAdd,
        TimeDelete,
        TimeGo,
        Transmit,
        TransmitAdd,
        TransmitBlue,
        TransmitDelete,
        TransmitEdit,
        TransmitError,
        TransmitGo,
        Tux,
        User,
        UserAdd,
        UserComment,
        UserDelete,
        UserEdit,
        UserFemale,
        UserGo,
        UserGray,
        UserGreen,
        UserOrange,
        UserRed,
        UserSuit,
        Vcard,
        VcardAdd,
        VcardDelete,
        VcardEdit,
        Vector,
        VectorAdd,
        VectorDelete,
        Wand,
        WeatherClouds,
        WeatherCloudy,
        WeatherLightning,
        WeatherRain,
        WeatherSnow,
        WeatherSun,
        Webcam,
        WebcamAdd,
        WebcamDelete,
        WebcamError,
        World,
        WorldAdd,
        WorldDelete,
        WorldEdit,
        WorldGo,
        WorldLink,
        Wrench,
        WrenchOrange,
        Xhtml,
        XhtmlAdd,
        XhtmlDelete,
        XhtmlGo,
        XhtmlValid,
        Zoom,
        ZoomIn,
        ZoomOut
    }

}
